public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: fix the relevancy of tests failing on centos stream
Date: Fri, 11 Sep 2026 13:21:10 GMT	[thread overview]
Message-ID: <178913287007.1.9401735761596479131.tests-selinux-7582d85628fc@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 7582d85628fc6a392ba13b8ec804c362bfa1a462
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2023-11-03T20:45:01+01:00
            Stats  : +42/-38 in 34 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/7582d85628fc6a392ba13b8ec804c362bfa1a462?branch=pr775-checkpolicy-revdeps

            Log:
            fix the relevancy of tests failing on centos stream

Apparently, the first attempt to adjust the relevancy was not
complete. So here is another one.
Certain tests should not be executed on centos-stream 8 or 9 at all,
because packages required by those tests are not available there.
Certain tests need to reflect the fact that SELinux policies which
confine the tested programs are not present on all versions of RHEL,
CentOS or Fedora.

---
diff --git a/libselinux/validatetrans/main.fmf b/libselinux/validatetrans/main.fmf
index 624cfec..cf9a0e9 100644
--- a/libselinux/validatetrans/main.fmf
+++ b/libselinux/validatetrans/main.fmf
@@ -32,8 +32,8 @@ link:
   - relates: https://bugzilla.redhat.com/show_bug.cgi?id=2008965
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
-    continue: false
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, centos-stream-8
+    because: the validatetrans program is not available there
   - enabled: false
     when: distro < Fedora-32
     continue: false

diff --git a/policycoreutils/sepolicy-manpage/runtest.sh b/policycoreutils/sepolicy-manpage/runtest.sh
index e6c1006..6fe835a 100755
--- a/policycoreutils/sepolicy-manpage/runtest.sh
+++ b/policycoreutils/sepolicy-manpage/runtest.sh
@@ -18,7 +18,7 @@ rlJournalStart
 
     rlPhaseStartTest "sepolicy manpage --web, bz#1854639 + bz#1989840"
         rlRun "sepolicy manpage --web -d zebra_t"
-        if rlIsRHEL 7 8 ; then
+        if rlIsRHEL 7 8 || rlIsCentOS 7 8 ; then
             rlRun "ls -l /tmp/*release*" 0 "Html file with OS name exists."
             rlRun "cat /tmp/*release* > /tmp/testfile"
         else

diff --git a/selinux-policy/ModemManager-and-similar/runtest.sh b/selinux-policy/ModemManager-and-similar/runtest.sh
index c72292a..a3d0348 100755
--- a/selinux-policy/ModemManager-and-similar/runtest.sh
+++ b/selinux-policy/ModemManager-and-similar/runtest.sh
@@ -119,7 +119,7 @@ rlJournalStart
     rlPhaseEnd
     fi
 
-    if ! rlIsRHEL 6 7 8 ; then
+    if ! rlIsRHEL 6 7 8 && ! rlIsCentOS 6 7 8 ; then
     rlPhaseStartTest "bz#1996903 + bz#1996905 + bz#2001141 + bz#2001143 + bz#2001144 + bz#2001145 + bz#2036582"
         rlSEMatchPathCon "/usr/sbin/ModemManager" "modemmanager_exec_t"
         rlSESearchRule "allow modemmanager_t modemmanager_t : qipcrtr_socket { create getattr getopt } [ ]"

diff --git a/selinux-policy/bgpd-and-similar/runtest.sh b/selinux-policy/bgpd-and-similar/runtest.sh
index 9e34785..c248b5e 100755
--- a/selinux-policy/bgpd-and-similar/runtest.sh
+++ b/selinux-policy/bgpd-and-similar/runtest.sh
@@ -79,7 +79,7 @@ rlJournalStart
 
     rlPhaseStartTest "real scenario -- standalone service"
         rlRun "sed -i 's/^\(include.*\)$/# \1/' /etc/bgpd.conf"
-        if rlIsRHEL 8 ; then
+        if rlIsRHEL 8 || rlIsCentOS 8 ; then
             # work around BZ#1830170 that was closed as WONTFIX
             rlRun "chcon -t bin_t /usr/sbin/bgpd"
             PROCESS_CONTEXT="unconfined_service_t"
@@ -87,7 +87,7 @@ rlJournalStart
         rlSEService - ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
         rlRun "restorecon -Rv /run /var -e /var/ARTIFACTS" 0-255
         rlSEService - ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
-        if rlIsRHEL 8 ; then
+        if rlIsRHEL 8 || rlIsCentOS 8 ; then
             # work around BZ#1830170 that was closed as WONTFIX
             rlRun "restorecon -v /usr/sbin/bgpd"
         fi

diff --git a/selinux-policy/bootupd-and-similar/main.fmf b/selinux-policy/bootupd-and-similar/main.fmf
index 9a9b2bf..758cad7 100644
--- a/selinux-policy/bootupd-and-similar/main.fmf
+++ b/selinux-policy/bootupd-and-similar/main.fmf
@@ -37,7 +37,7 @@ link:
   - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2218106
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, centos-stream-8
     because: the package is not available there
   - enabled: false
     when: arch == ppc64, ppc64le, s390x

diff --git a/selinux-policy/bz562833-chrooted-named-file-contexts/runtest.sh b/selinux-policy/bz562833-chrooted-named-file-contexts/runtest.sh
index 2ecc660..69a2743 100755
--- a/selinux-policy/bz562833-chrooted-named-file-contexts/runtest.sh
+++ b/selinux-policy/bz562833-chrooted-named-file-contexts/runtest.sh
@@ -201,7 +201,7 @@ rlJournalStart
         rlPhaseEnd
     fi
 
-    if ! rlIsRHEL 5 6 7 8 ; then
+    if ! rlIsRHEL 5 6 7 8 && ! rlIsCentOS 5 6 7 8 ; then
         rlPhaseStartTest "bz#1827591 + bz#1923929"
             rlSEMatchPathCon "/usr/sbin/rndc" "ndc_exec_t"
             rlSESearchRule "dontaudit ndc_t ndc_t : process { setsched } [ ]"

diff --git a/selinux-policy/bz733494-amanda-and-similar/runtest.sh b/selinux-policy/bz733494-amanda-and-similar/runtest.sh
index 1e0451a..a5db0a8 100755
--- a/selinux-policy/bz733494-amanda-and-similar/runtest.sh
+++ b/selinux-policy/bz733494-amanda-and-similar/runtest.sh
@@ -177,7 +177,7 @@ rlJournalStart
     rlPhaseEnd
     fi
 
-    if ! rlIsRHEL 5 6 7 8 ; then
+    if ! rlIsRHEL 5 6 7 8 && ! rlIsCentOS 5 6 7 8 ; then
     rlPhaseStartTest "bz#1960513"
         rlRun "ls -l /usr/sbin/amandad"
         rlSEMatchPathCon "/usr/lib64/amanda/amandad" "amanda_inetd_exec_t"

diff --git a/selinux-policy/caddy-and-similar/main.fmf b/selinux-policy/caddy-and-similar/main.fmf
index f942d28..b1f10a9 100644
--- a/selinux-policy/caddy-and-similar/main.fmf
+++ b/selinux-policy/caddy-and-similar/main.fmf
@@ -23,9 +23,10 @@ duration: 10m
 enabled: true
 tag:
   - failinfedora
+  - targeted
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7
     because: the caddy package is not available there
 link:
   - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=1706651

diff --git a/selinux-policy/capability2-class/main.fmf b/selinux-policy/capability2-class/main.fmf
index 5440b4f..aac92c5 100644
--- a/selinux-policy/capability2-class/main.fmf
+++ b/selinux-policy/capability2-class/main.fmf
@@ -23,7 +23,7 @@ link:
   - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=1915264
 adjust:
   - enabled: false
-    when: distro = rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, centos-stream-8
     continue: false
 extra-nitrate: TC#0615396
 id: 251fd08a-0f65-4592-8d4d-2b79e9479460

diff --git a/selinux-policy/cups-lpd-and-similar/runtest.sh b/selinux-policy/cups-lpd-and-similar/runtest.sh
index 2191da5..7669790 100755
--- a/selinux-policy/cups-lpd-and-similar/runtest.sh
+++ b/selinux-policy/cups-lpd-and-similar/runtest.sh
@@ -94,7 +94,7 @@ rlJournalStart
         rlSESearchRule "allow cupsd_lpd_t cupsd_var_run_t : sock_file { read } [ ]"
     rlPhaseEnd
 
-    if ! rlIsRHEL 5 6 7 8 ; then
+    if ! rlIsRHEL 5 6 7 8 && ! rlIsCentOS 5 6 7 8 ; then
     rlPhaseStartTest "bz#2020531"
         rlSEMatchPathCon "/usr/lib/cups/daemon/cups-lpd" "cupsd_lpd_exec_t"
         rlRun "ls -Z /proc/1/environ | grep :init_t"

diff --git a/selinux-policy/cups-pdf-and-similar/runtest.sh b/selinux-policy/cups-pdf-and-similar/runtest.sh
index 86c5aab..cfbd105 100755
--- a/selinux-policy/cups-pdf-and-similar/runtest.sh
+++ b/selinux-policy/cups-pdf-and-similar/runtest.sh
@@ -105,7 +105,7 @@ rlJournalStart
         rlSESearchRule "type_transition cups_pdf_t var_log_t : file cupsd_log_t"
     rlPhaseEnd
 
-    if ! rlIsRHEL 8 ; then
+    if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
     rlPhaseStartTest "bz#1832521"
         rlSESearchRule "allow cups_pdf_t cups_pdf_t : unix_dgram_socket { create connect } [ ]"
     rlPhaseEnd

diff --git a/selinux-policy/dhclient-and-similar/runtest.sh b/selinux-policy/dhclient-and-similar/runtest.sh
index f9824d0..1b448e4 100755
--- a/selinux-policy/dhclient-and-similar/runtest.sh
+++ b/selinux-policy/dhclient-and-similar/runtest.sh
@@ -52,7 +52,7 @@ rlJournalStart
         sleep 2
     rlPhaseEnd
 
-    if ! rlIsRHEL 8 ; then
+    if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
     rlPhaseStartTest "bz#1897388"
         rlSEMatchPathCon "/usr/sbin/dhclient-script" "dhcpc_exec_t"
         rlSEMatchPathCon "/usr/bin/chronyc" "chronyc_exec_t"
@@ -78,7 +78,7 @@ rlJournalStart
         DHCLIENT_PID=`pgrep dhclient`
         rlRun "ps -efZ | grep dhclient"
         rlRun "ps -efZ | grep ':dhcpc_t:.*dhclient'"
-        if ! rlIsRHEL 8 ; then
+        if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
             rlRun "ls -alZ /run/chrony-dhcp"
         fi
     rlPhaseEnd

diff --git a/selinux-policy/firewalld-and-similar/runtest.sh b/selinux-policy/firewalld-and-similar/runtest.sh
index f81a5ab..be3e640 100755
--- a/selinux-policy/firewalld-and-similar/runtest.sh
+++ b/selinux-policy/firewalld-and-similar/runtest.sh
@@ -168,7 +168,7 @@ rlJournalStart
     rlPhaseEnd
     fi
 
-    if ! rlIsRHEL 5 6 7 8 ; then
+    if ! rlIsRHEL 5 6 7 8 && ! rlIsCentOS 5 6 7 8 ; then
     rlPhaseStartTest "bz#1989641"
         rlSESearchRule "allow firewalld_t firewalld_t : capability { setpcap } [ ]"
         rlSESearchRule "allow firewalld_t firewalld_t : process { setcap } [ ]"

diff --git a/selinux-policy/journalctl-and-similar/runtest.sh b/selinux-policy/journalctl-and-similar/runtest.sh
index 39fde79..8a85859 100755
--- a/selinux-policy/journalctl-and-similar/runtest.sh
+++ b/selinux-policy/journalctl-and-similar/runtest.sh
@@ -99,7 +99,7 @@ rlJournalStart
     rlPhaseEnd
     fi
 
-    if ! rlIsRHEL 7 8 ; then
+    if ! rlIsRHEL 7 8 && ! rlIsCentOS 7 8 ; then
     rlPhaseStartTest "bz#2075527 + bz#2152823"
         rlSESearchRule "allow syslogd_t syslogd_var_run_t : file { relabelfrom relabelto } [ ]"
         rlRun "journalctl --rotate"

diff --git a/selinux-policy/lockdown-class/main.fmf b/selinux-policy/lockdown-class/main.fmf
index dbec951..c780d92 100644
--- a/selinux-policy/lockdown-class/main.fmf
+++ b/selinux-policy/lockdown-class/main.fmf
@@ -32,7 +32,7 @@ link:
   - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1933134
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-alt-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-alt-7, rhel-8, centos-stream-8
     because: the lockdown class is not defined there
 extra-summary: /CoreOS/selinux-policy/Sanity/lockdown-class
 extra-task: /CoreOS/selinux-policy/Sanity/lockdown-class

diff --git a/selinux-policy/nasd-and-similar/main.fmf b/selinux-policy/nasd-and-similar/main.fmf
index 9fe11ba..58b27f3 100644
--- a/selinux-policy/nasd-and-similar/main.fmf
+++ b/selinux-policy/nasd-and-similar/main.fmf
@@ -23,7 +23,7 @@ environment:
 duration: 10m
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, centos-stream-8
     because: the nas package is not available there
 extra-summary: /CoreOS/selinux-policy/Regression/nasd-and-similar
 extra-task: /CoreOS/selinux-policy/Regression/nasd-and-similar

diff --git a/selinux-policy/ntpsec-and-similar/main.fmf b/selinux-policy/ntpsec-and-similar/main.fmf
index 979ea0e..08273c8 100644
--- a/selinux-policy/ntpsec-and-similar/main.fmf
+++ b/selinux-policy/ntpsec-and-similar/main.fmf
@@ -36,7 +36,7 @@ link:
   - verifies: https://issues.redhat.com/browse/RHEL-15085
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, centos-stream-8
     because: the ntpsec package is not available there
 extra-summary: /CoreOS/selinux-policy/Regression/ntpsec-and-similar
 extra-task: /CoreOS/selinux-policy/Regression/ntpsec-and-similar

diff --git a/selinux-policy/nvme-stas-and-similar/main.fmf b/selinux-policy/nvme-stas-and-similar/main.fmf
index fc7fff1..a83654b 100644
--- a/selinux-policy/nvme-stas-and-similar/main.fmf
+++ b/selinux-policy/nvme-stas-and-similar/main.fmf
@@ -35,7 +35,7 @@ link:
   - verifies: https://issues.redhat.com/browse/RHEL-1557
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, centos-stream-8
     because: the nvme-stas package is not available there
 extra-summary: /CoreOS/selinux-policy/Regression/nvme-stas-and-similar
 extra-task: /CoreOS/selinux-policy/Regression/nvme-stas-and-similar

diff --git a/selinux-policy/opensmtpd-and-similar/runtest.sh b/selinux-policy/opensmtpd-and-similar/runtest.sh
index 27df5cd..bb1b4d6 100755
--- a/selinux-policy/opensmtpd-and-similar/runtest.sh
+++ b/selinux-policy/opensmtpd-and-similar/runtest.sh
@@ -53,6 +53,7 @@ rlJournalStart
         sleep 2
     rlPhaseEnd
 
+    if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
     rlPhaseStartTest "bz#2208696"
         rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
         rlSEMatchPathCon "/var/run" "var_run_t"
@@ -66,6 +67,7 @@ rlJournalStart
         rlSEMatchPathCon "/run/smtpd.sock" "sendmail_var_run_t"
         rlSESearchRule "allow sendmail_t sendmail_t : unix_stream_socket { connectto } [ ]"
     rlPhaseEnd
+    fi
 
     rlPhaseStartTest "real scenario -- standalone service"
         rlRun "sestatus | mailx -s test-email root@localhost"

diff --git a/selinux-policy/pam_limits-and-related/runtest.sh b/selinux-policy/pam_limits-and-related/runtest.sh
index da513df..3eeb144 100755
--- a/selinux-policy/pam_limits-and-related/runtest.sh
+++ b/selinux-policy/pam_limits-and-related/runtest.sh
@@ -52,7 +52,7 @@ rlJournalStart
         sleep 2
     rlPhaseEnd
 
-    if ! rlIsRHEL 8 ; then
+    if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
     rlPhaseStartTest "bz#1958819"
         rlSESearchRule "allow init_t guest_t : process2 { nnp_transition } [ ]"
         rlSESearchRule "allow init_t staff_t : process2 { nnp_transition } [ ]"

diff --git a/selinux-policy/perf_event-and-related/runtest.sh b/selinux-policy/perf_event-and-related/runtest.sh
index 61f8021..84b4c1e 100755
--- a/selinux-policy/perf_event-and-related/runtest.sh
+++ b/selinux-policy/perf_event-and-related/runtest.sh
@@ -64,7 +64,7 @@ rlJournalStart
         rlSESearchRule "allow sysadm_t sysadm_t : perf_event { open cpu kernel read write } [ ]"
     rlPhaseEnd
 
-    if ! rlIsRHEL 8 ; then
+    if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
     rlPhaseStartTest "bz#2229936"
         rlSESearchRule "allow sysadm_t kernel_t : bpf { prog_run } [ ]"
     rlPhaseEnd

diff --git a/selinux-policy/policy-rpm-macros/main.fmf b/selinux-policy/policy-rpm-macros/main.fmf
index 44f35ba..379dc76 100644
--- a/selinux-policy/policy-rpm-macros/main.fmf
+++ b/selinux-policy/policy-rpm-macros/main.fmf
@@ -35,7 +35,7 @@ link:
   - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1465824
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6
     continue: false
 extra-nitrate: TC#0546229
 extra-summary: /CoreOS/selinux-policy/Sanity/policy-rpm-macros

diff --git a/selinux-policy/rpmdb-and-similar/main.fmf b/selinux-policy/rpmdb-and-similar/main.fmf
index 401682a..5d67459 100644
--- a/selinux-policy/rpmdb-and-similar/main.fmf
+++ b/selinux-policy/rpmdb-and-similar/main.fmf
@@ -27,6 +27,7 @@ tag:
   - NoRHEL5
   - NoRHEL6
   - NoRHEL7
+  - NoRHEL8
   - targeted
 link:
   - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1461313
@@ -35,7 +36,7 @@ link:
   - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2164752
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, centos-stream-8
     continue: false
 extra-nitrate: TC#0609732
 extra-summary: /CoreOS/selinux-policy/Regression/rpmdb-and-similar

diff --git a/selinux-policy/rpmdb-and-similar/runtest.sh b/selinux-policy/rpmdb-and-similar/runtest.sh
index b1357f1..5c33f74 100755
--- a/selinux-policy/rpmdb-and-similar/runtest.sh
+++ b/selinux-policy/rpmdb-and-similar/runtest.sh
@@ -36,7 +36,7 @@ PROCESS_NAME="rpmdb"
 PROCESS_CONTEXT="rpmdb_t"
 
 rlJournalStart
-    if rlIsRHEL '<9' ; then
+    if rlIsRHEL '<9' || rlIsCentOS '<9' ; then
         rlLog "Not applicable to this OS version."
         rlJournalEnd
         exit 0

diff --git a/selinux-policy/stalld-and-similar/main.fmf b/selinux-policy/stalld-and-similar/main.fmf
index 863d8aa..e80d301 100644
--- a/selinux-policy/stalld-and-similar/main.fmf
+++ b/selinux-policy/stalld-and-similar/main.fmf
@@ -41,7 +41,7 @@ link:
   - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2140673
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, centos-stream-8
     continue: false
 extra-nitrate: TC#0613202
 extra-summary: /CoreOS/selinux-policy/Regression/stalld-and-similar

diff --git a/selinux-policy/systemd-bootchart-and-similar/main.fmf b/selinux-policy/systemd-bootchart-and-similar/main.fmf
index 868c1da..0f723d1 100644
--- a/selinux-policy/systemd-bootchart-and-similar/main.fmf
+++ b/selinux-policy/systemd-bootchart-and-similar/main.fmf
@@ -31,8 +31,8 @@ link:
   - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1838163
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-8, rhel-9
-    continue: false
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-8, rhel-9, centos-stream-8, centos-stream-9
+    because: the systemd-bootchart package is not available there
 extra-nitrate: TC#0608092
 extra-summary: /CoreOS/selinux-policy/Regression/systemd-bootchart-and-similar
 extra-task: /CoreOS/selinux-policy/Regression/systemd-bootchart-and-similar

diff --git a/selinux-policy/systemd-creds/main.fmf b/selinux-policy/systemd-creds/main.fmf
index ef77498..41e08eb 100644
--- a/selinux-policy/systemd-creds/main.fmf
+++ b/selinux-policy/systemd-creds/main.fmf
@@ -27,7 +27,7 @@ tag:
 tier: '2'
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, centos-stream-8
     because: the systemd-creds program is not available there
 link:
   - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2096857

diff --git a/selinux-policy/systemd-homed/main.fmf b/selinux-policy/systemd-homed/main.fmf
index 1df6fe0..c131f4c 100644
--- a/selinux-policy/systemd-homed/main.fmf
+++ b/selinux-policy/systemd-homed/main.fmf
@@ -22,7 +22,7 @@ link:
   - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1809878
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, rhel-9
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, rhel-9, centos-stream-8, centos-stream-9
     because: the systemd-homed program is not available there
 extra-summary: /CoreOS/selinux-policy/Regression/systemd-homed
 extra-task: /CoreOS/selinux-policy/Regression/systemd-homed

diff --git a/selinux-policy/systemd-modules-load-and-similar/runtest.sh b/selinux-policy/systemd-modules-load-and-similar/runtest.sh
index 920c3e0..7f89ee6 100755
--- a/selinux-policy/systemd-modules-load-and-similar/runtest.sh
+++ b/selinux-policy/systemd-modules-load-and-similar/runtest.sh
@@ -130,7 +130,7 @@ rlJournalStart
         fi
     rlPhaseEnd
 
-    if ! rlIsRHEL 8 ; then
+    if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
     rlPhaseStartTest "bz#2088257 + bz#2088258"
         rlSEMatchPathCon "/usr/lib/systemd/systemd-modules-load" "systemd_modules_load_exec_t"
         rlSEMatchPathCon "/dev/kmsg" "kmsg_device_t"

diff --git a/selinux-policy/systemd-sysctl-and-similar/runtest.sh b/selinux-policy/systemd-sysctl-and-similar/runtest.sh
index f7ad2d3..1e18554 100755
--- a/selinux-policy/systemd-sysctl-and-similar/runtest.sh
+++ b/selinux-policy/systemd-sysctl-and-similar/runtest.sh
@@ -50,7 +50,7 @@ rlJournalStart
         sleep 2
     rlPhaseEnd
 
-    if ! rlIsRHEL 8 ; then
+    if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
     rlPhaseStartTest "bz#2056207 + bz#2056999"
         rlSEMatchPathCon "/usr/lib/systemd/systemd-sysctl" "systemd_sysctl_exec_t"
         rlRun "ls -Z /proc/sys/fs/suid_dumpable | grep :proc_security_t"

diff --git a/selinux-policy/systemd-timesyncd-and-similar/runtest.sh b/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
index 98aeb41..a9d5e81 100755
--- a/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
+++ b/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
@@ -102,7 +102,7 @@ rlJournalStart
         rlSESearchRule "allow systemd_timedated_t efivarfs_t : file { getattr open read } [ ]"
     rlPhaseEnd
 
-    if ! rlIsRHEL '<9' ; then
+    if ! rlIsRHEL '<9' && ! rlIsCentOS '<9' ; then
     rlPhaseStartTest "bz#1949315"
         rlSEMatchPathCon "/" "root_t"
         rlSEMatchPathCon "/run" "var_run_t"

diff --git a/selinux-policy/targetd-and-similar/main.fmf b/selinux-policy/targetd-and-similar/main.fmf
index e4b319d..1d97e2f 100644
--- a/selinux-policy/targetd-and-similar/main.fmf
+++ b/selinux-policy/targetd-and-similar/main.fmf
@@ -48,7 +48,7 @@ link:
   - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2222199
 adjust:
   - enabled: true
-    when: distro == rhel-7, rhel-8, fedora
+    when: distro == rhel-7, rhel-8, centos-stream-8, fedora
     because: the targetd package is not available elsewhere
 extra-nitrate: TC#0337221
 extra-summary: /CoreOS/selinux-policy/Regression/targetd-and-similar

diff --git a/selinux-policy/usbmuxd-and-similar/runtest.sh b/selinux-policy/usbmuxd-and-similar/runtest.sh
index 6fddd17..e205d5c 100755
--- a/selinux-policy/usbmuxd-and-similar/runtest.sh
+++ b/selinux-policy/usbmuxd-and-similar/runtest.sh
@@ -80,7 +80,7 @@ rlJournalStart
         rlSESearchRule "allow usbmuxd_t udev_var_run_t : file { getattr open read } [ ]"
     rlPhaseEnd
 
-    if ! rlIsRHEL 8 ; then
+    if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
     rlPhaseStartTest "bz#1930992"
         rlSEMatchPathCon "/sys" "sysfs_t"
         rlSESearchRule "allow usbmuxd_t sysfs_t : filesystem { getattr } [ ]"

diff --git a/selinux-policy/watch-permissions/main.fmf b/selinux-policy/watch-permissions/main.fmf
index 5969989..d465382 100644
--- a/selinux-policy/watch-permissions/main.fmf
+++ b/selinux-policy/watch-permissions/main.fmf
@@ -23,7 +23,7 @@ link:
   - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=1915034
 adjust:
   - enabled: false
-    when: distro = rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
-    continue: false
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, centos-stream-8
+    because: the watch permission is not defined there
 extra-nitrate: TC#0615395
 id: c4421242-0b97-4a1e-abbb-1dbe5dd21355

                 reply	other threads:[~2026-09-11 13:21 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913287007.1.9401735761596479131.tests-selinux-7582d85628fc@fedoraproject.org \
    --to=mmalik@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox